import { visit } from 'unist-util-visit';
import preNodeToShiki from './preNodeToShiki.js';
const attacher = ({ highlighter, }) => {
    return tree => {
        visit(tree, 'element', (node, _, parent) => {
            if (!parent || parent.tagName !== 'pre' || node.tagName !== 'code') {
                return;
            }
            const pre = preNodeToShiki(highlighter, parent);
            parent.properties = pre.properties;
            parent.children = pre.children;
        });
    };
};
export default attacher;
